Bug 195514 - [MAINTAINER] games/pioneer: Update to v0.0.20141128
Summary: [MAINTAINER] games/pioneer: Update to v0.0.20141128
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-29 23:38 UTC by lightside
Modified: 2014-12-02 03:16 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (3.94 KB, patch)
2014-11-29 23:38 UTC, Bugzilla Automation
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64) (25.96 KB, application/x-zip-compressed)
2014-11-29 23:39 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 9.3 amd64) (20.60 KB, application/x-zip-compressed)
2014-11-29 23:40 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 8.4 amd64) (20.62 KB, application/x-zip-compressed)
2014-11-29 23:41 UTC, lightside
no flags Details
Proposed patch (with fixed license description) (3.86 KB, patch)
2014-12-01 07:50 UTC, lightside
no flags Details | Diff
Proposed patch (with fixed license description and pkg-descr file) (3.75 KB, patch)
2014-12-01 22:06 UTC, lightside
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2014-11-29 23:38:43 UTC
Created attachment 150010 [details]
Proposed patch

Patch to update games/pioneer port from 0.0.20141029 to 0.0.20141128 version.

Look following link for changes:
https://github.com/pioneerspacesim/pioneer/compare/20141029...20141128

- Added SSC license description for Milky Way Bar
- Added OPSYS in conjunction to OSVERSION
- Wrapped cd related command to parentheses
- Corrected patch for src/posix/OSPosix.cpp file
- Reversed WWW in pkg-descr file, because last one is used as a main site
Comment 1 lightside 2014-11-29 23:39:39 UTC
Created attachment 150011 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 2 lightside 2014-11-29 23:40:13 UTC
Created attachment 150012 [details]
The poudriere testport log (FreeBSD 9.3 amd64)
Comment 3 lightside 2014-11-29 23:41:03 UTC
Created attachment 150013 [details]
The poudriere testport log (FreeBSD 8.4 amd64)
Comment 4 lightside 2014-12-01 07:50:59 UTC
Created attachment 150062 [details]
Proposed patch (with fixed license description)

After look at AUTHORS.txt file, I fixed license description for "Milky Way Bar" to "Galaxy colour image use policy". The credit text is inside of AUTHORS.txt file.
Comment 5 Dmitry Marakasov freebsd_committer 2014-12-01 13:16:28 UTC
> - Reversed WWW in pkg-descr file, because last one is used as a main site

This is not quite correct. See https://www.freebsd.org/doc/en/books/porters-handbook/porting-desc.html, better remove WWW: for github URL instead.
Comment 6 lightside 2014-12-01 22:06:33 UTC
Created attachment 150082 [details]
Proposed patch (with fixed license description and pkg-descr file)

(In reply to Dmitry Marakasov from comment #5)
> better remove WWW: for github URL instead.

Ok, the github URL is available on download page of the main site.
Comment 7 commit-hook freebsd_committer 2014-12-02 03:16:27 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Dec  2 03:15:35 UTC 2014
New revision: 373736
URL: https://svnweb.freebsd.org/changeset/ports/373736

Log:
  - Update to 20141128 (changes: https://github.com/pioneerspacesim/pioneer/compare/20141029...20141128)
  - Update licenses
  - Added OPSYS in conjunction to OSVERSION
  - Wrapped cd related command to parentheses
  - Corrected patch for src/posix/OSPosix.cpp file
  - Fix multiple WWW in pkg-descr

  PR:		195514
  Submitted by:	lightside@gmx.com (maintainer)

Changes:
  head/games/pioneer/Makefile
  head/games/pioneer/distinfo
  head/games/pioneer/files/patch-src_posix_OSPosix.cpp
  head/games/pioneer/pkg-descr